For the complete documentation index, see llms.txt. This page is also available as Markdown.

People

The people endpoint gives access to the people in the CRM.

Good to know:

  • A person must always contain a familyname

Create a new person

post

Creates a person with emails, phone numbers, and metadata.

Authorizations
Body

Represents a CRM contact person with details like name, email, phone, and tags.

familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
Responses
201

Person resource created

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
post/people
POST /people HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 599

{
  "familyName": null,
  "givenName": null,
  "additionalName": null,
  "initials": null,
  "customerId": null,
  "honorificPrefix": null,
  "isTracked": null,
  "linkedinId": null,
  "externalSource": null,
  "archivedAt": null,
  "owner": "/users/{id}",
  "jobTitle": null,
  "tags": [
    "/tags/{id}"
  ],
  "segments": [
    "/segments/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "emailAddresses": [
    {
      "email": null
    }
  ],
  "phoneNumbers": [
    {
      "phoneNumber": null,
      "phoneType": "fax"
    }
  ],
  "address": {
    "city": null,
    "postalCode": null,
    "street": null,
    "country": "NL"
  },
  "avatar": "/media_objects/{id}",
  "dealSize": null,
  "totalDeals": null,
  "totalLostDeals": null,
  "totalWonDeals": null,
  "id": null
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "familyName": null,
  "givenName": null,
  "additionalName": null,
  "initials": null,
  "customerId": null,
  "honorificPrefix": null,
  "isTracked": null,
  "linkedinId": null,
  "externalSource": null,
  "createdAt": null,
  "updatedAt": null,
  "importedAt": null,
  "archivedAt": null,
  "owner": "/users/{id}",
  "jobTitle": null,
  "tags": [
    "/tags/{id}"
  ],
  "segments": [
    "/segments/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "emailAddresses": [
    {
      "email": null
    }
  ],
  "phoneNumbers": [
    {
      "phoneNumber": null,
      "phoneType": "fax"
    }
  ],
  "address": {
    "city": null,
    "postalCode": null,
    "street": null,
    "country": "NL"
  },
  "avatarUrl": null,
  "dealSize": null,
  "totalDeals": null,
  "totalLostDeals": null,
  "totalWonDeals": null,
  "linkedinEnrichment": [
    null
  ],
  "id": null
}

List people

get

Retrieve a paginated list of people.

Authorizations
Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
qstringOptional
owner.idstringOptional
owner.id[]string[]Optional
emailAddresses.emailstringOptional
emailAddresses.email[]string[]Optional
tags.idstringOptional
tags.id[]string[]Optional
segments.uuidstringOptional
segments.uuid[]string[]Optional
exists[archivedAt]booleanOptional
order[familyName]string · enumOptionalPossible values:
order[createdAt]string · enumOptionalPossible values:
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
identifiersstringOptional

Filter by identifiers (searches LinkedIn IDs, email addresses, and phone numbers)

identifiers[]stringOptional

Filter by multiple identifiers

viewstring · enumOptional

Filter parameter to specify the view. To get only UUIDs, use 'idx'.

Possible values:
Responses
200

Person collection

totalItemsintegerOptional
get/people
GET /people HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "member": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "familyName": null,
      "givenName": null,
      "additionalName": null,
      "initials": null,
      "customerId": null,
      "honorificPrefix": null,
      "isTracked": null,
      "linkedinId": null,
      "externalSource": null,
      "createdAt": null,
      "updatedAt": null,
      "importedAt": null,
      "archivedAt": null,
      "owner": "/users/{id}",
      "jobTitle": null,
      "tags": [
        "/tags/{id}"
      ],
      "segments": [
        "/segments/{id}"
      ],
      "organizations": [
        "/organizations/{id}"
      ],
      "emailAddresses": [
        {
          "email": null
        }
      ],
      "phoneNumbers": [
        {
          "phoneNumber": null,
          "phoneType": "fax"
        }
      ],
      "address": {
        "city": null,
        "postalCode": null,
        "street": null,
        "country": "NL"
      },
      "avatarUrl": null,
      "dealSize": null,
      "totalDeals": null,
      "totalLostDeals": null,
      "totalWonDeals": null,
      "linkedinEnrichment": [
        null
      ],
      "id": null
    }
  ],
  "totalItems": 1,
  "view": {
    "@id": "string",
    "type": "string",
    "first": "string",
    "last": "string",
    "previous": "string",
    "next": "string"
  },
  "search": {
    "@type": "text",
    "template": "text",
    "variableRepresentation": "text",
    "mapping": [
      {
        "@type": "text",
        "variable": "text",
        "property": null,
        "required": true
      }
    ]
  }
}

Retrieve a person

get

Get a single person by ID.

Authorizations
Path parameters
idstringRequired

Person identifier

Responses
200

Person resource

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
get/people/{id}
GET /people/{id} HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "familyName": null,
  "givenName": null,
  "additionalName": null,
  "initials": null,
  "customerId": null,
  "honorificPrefix": null,
  "isTracked": null,
  "linkedinId": null,
  "externalSource": null,
  "createdAt": null,
  "updatedAt": null,
  "importedAt": null,
  "archivedAt": null,
  "owner": "/users/{id}",
  "jobTitle": null,
  "tags": [
    "/tags/{id}"
  ],
  "segments": [
    "/segments/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "emailAddresses": [
    {
      "email": null
    }
  ],
  "phoneNumbers": [
    {
      "phoneNumber": null,
      "phoneType": "fax"
    }
  ],
  "address": {
    "city": null,
    "postalCode": null,
    "street": null,
    "country": "NL"
  },
  "avatarUrl": null,
  "dealSize": null,
  "totalDeals": null,
  "totalLostDeals": null,
  "totalWonDeals": null,
  "linkedinEnrichment": [
    null
  ],
  "id": null
}

Update a person

put

Replaces all fields of a person.

Authorizations
Path parameters
idstringRequired

Person identifier

Body

Represents a CRM contact person with details like name, email, phone, and tags.

familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
Responses
200

Person resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
put/people/{id}
PUT /people/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 599

{
  "familyName": null,
  "givenName": null,
  "additionalName": null,
  "initials": null,
  "customerId": null,
  "honorificPrefix": null,
  "isTracked": null,
  "linkedinId": null,
  "externalSource": null,
  "archivedAt": null,
  "owner": "/users/{id}",
  "jobTitle": null,
  "tags": [
    "/tags/{id}"
  ],
  "segments": [
    "/segments/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "emailAddresses": [
    {
      "email": null
    }
  ],
  "phoneNumbers": [
    {
      "phoneNumber": null,
      "phoneType": "fax"
    }
  ],
  "address": {
    "city": null,
    "postalCode": null,
    "street": null,
    "country": "NL"
  },
  "avatar": "/media_objects/{id}",
  "dealSize": null,
  "totalDeals": null,
  "totalLostDeals": null,
  "totalWonDeals": null,
  "id": null
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "familyName": null,
  "givenName": null,
  "additionalName": null,
  "initials": null,
  "customerId": null,
  "honorificPrefix": null,
  "isTracked": null,
  "linkedinId": null,
  "externalSource": null,
  "createdAt": null,
  "updatedAt": null,
  "importedAt": null,
  "archivedAt": null,
  "owner": "/users/{id}",
  "jobTitle": null,
  "tags": [
    "/tags/{id}"
  ],
  "segments": [
    "/segments/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "emailAddresses": [
    {
      "email": null
    }
  ],
  "phoneNumbers": [
    {
      "phoneNumber": null,
      "phoneType": "fax"
    }
  ],
  "address": {
    "city": null,
    "postalCode": null,
    "street": null,
    "country": "NL"
  },
  "avatarUrl": null,
  "dealSize": null,
  "totalDeals": null,
  "totalLostDeals": null,
  "totalWonDeals": null,
  "linkedinEnrichment": [
    null
  ],
  "id": null
}

Partially update a person

patch

Updates specific fields of an existing person.

Authorizations
Path parameters
idstringRequired

Person identifier

Body

Represents a CRM contact person with details like name, email, phone, and tags.

familyNamestring · nullableOptional
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
Responses
200

Person resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
familyNamestring · nullableRequired
givenNamestring · nullableOptional
additionalNamestring · nullableOptional
initialsstring · nullableOptional
customerIdstring · nullableOptional
honorificPrefixstring · nullableOptional
isTrackedboolean · nullableOptional
linkedinIdstring · nullableOptional
externalSourcestring · nullableOptional
createdAtstring · nullableRead-onlyOptional
updatedAtstring · nullableRead-onlyOptional
importedAtstring · nullableRead-onlyOptional
archivedAtstring · nullableOptional
ownerstring · nullableOptionalExample: /users/{id}
jobTitlestring · nullableOptional
tagsstring · iri-reference[]OptionalExample: ["/tags/{id}"]
segmentsstring · iri-reference[]OptionalExample: ["/segments/{id}"]
organizationsstring · iri-reference[]OptionalExample: ["/organizations/{id}"]
avatarUrlstring · nullableRead-onlyOptional
avatarstring · nullableWrite-onlyOptionalExample: /media_objects/{id}
dealSizeinteger · nullableOptional
totalDealsinteger · nullableOptional
totalLostDealsinteger · nullableOptional
totalWonDealsinteger · nullableOptional
idstring · nullableOptional
patch/people/{id}
PATCH /people/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 599

{
  "familyName": null,
  "givenName": null,
  "additionalName": null,
  "initials": null,
  "customerId": null,
  "honorificPrefix": null,
  "isTracked": null,
  "linkedinId": null,
  "externalSource": null,
  "archivedAt": null,
  "owner": "/users/{id}",
  "jobTitle": null,
  "tags": [
    "/tags/{id}"
  ],
  "segments": [
    "/segments/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "emailAddresses": [
    {
      "email": null
    }
  ],
  "phoneNumbers": [
    {
      "phoneNumber": null,
      "phoneType": "fax"
    }
  ],
  "address": {
    "city": null,
    "postalCode": null,
    "street": null,
    "country": "NL"
  },
  "avatar": "/media_objects/{id}",
  "dealSize": null,
  "totalDeals": null,
  "totalLostDeals": null,
  "totalWonDeals": null,
  "id": null
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "familyName": null,
  "givenName": null,
  "additionalName": null,
  "initials": null,
  "customerId": null,
  "honorificPrefix": null,
  "isTracked": null,
  "linkedinId": null,
  "externalSource": null,
  "createdAt": null,
  "updatedAt": null,
  "importedAt": null,
  "archivedAt": null,
  "owner": "/users/{id}",
  "jobTitle": null,
  "tags": [
    "/tags/{id}"
  ],
  "segments": [
    "/segments/{id}"
  ],
  "organizations": [
    "/organizations/{id}"
  ],
  "emailAddresses": [
    {
      "email": null
    }
  ],
  "phoneNumbers": [
    {
      "phoneNumber": null,
      "phoneType": "fax"
    }
  ],
  "address": {
    "city": null,
    "postalCode": null,
    "street": null,
    "country": "NL"
  },
  "avatarUrl": null,
  "dealSize": null,
  "totalDeals": null,
  "totalLostDeals": null,
  "totalWonDeals": null,
  "linkedinEnrichment": [
    null
  ],
  "id": null
}

List person notes

get

Returns all notes attached to a given person, ordered by flag and creation date.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

Query parameters
pageintegerOptional

The collection page number

Default: 1
itemsPerPageinteger · max: 30Optional

The number of items per page

Default: 15
qstringOptional
personstringOptional
person[]string[]Optional
category.idstringOptional
category.id[]string[]Optional
author.idstringOptional
author.id[]string[]Optional
flaggedbooleanOptional
order[flagged]string · enumOptionalPossible values:
order[createdAt]string · enumOptionalPossible values:
createdAt[strictly_after]stringOptional
createdAt[after]stringOptional
createdAt[strictly_before]stringOptional
createdAt[before]stringOptional
Responses
200

PersonNoteResource collection

totalItemsintegerOptional
get/people/{personId}/notes
GET /people/{personId}/notes HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "member": [
    {
      "@context": "text",
      "@id": "text",
      "@type": "text",
      "id": null,
      "createdAt": null,
      "description": null,
      "title": null,
      "flagged": null,
      "isPrivate": null,
      "author": "/users/{id}",
      "category": "/note_categories/{id}"
    }
  ],
  "totalItems": 1,
  "view": {
    "@id": "string",
    "type": "string",
    "first": "string",
    "last": "string",
    "previous": "string",
    "next": "string"
  },
  "search": {
    "@type": "text",
    "template": "text",
    "variableRepresentation": "text",
    "mapping": [
      {
        "@type": "text",
        "variable": "text",
        "property": null,
        "required": true
      }
    ]
  }
}

Get person note

get

Retrieves a single note attached to a person.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

idstringRequired

PersonNoteResource identifier

Responses
200

PersonNoteResource resource

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
get/people/{personId}/notes/{id}
GET /people/{personId}/notes/{id} HTTP/1.1
Host: api.rogerroger.io
Accept: */*
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "title": null,
  "flagged": null,
  "isPrivate": null,
  "author": "/users/{id}",
  "category": "/note_categories/{id}"
}

Create person note

post

Creates a new note linked to a specific person.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

Body

Represents a CRM note attached to a person, such as contact moments or meeting summaries.

idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
Responses
201

PersonNoteResource resource created

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
post/people/{personId}/notes
POST /people/{personId}/notes HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 166

{
  "id": null,
  "personId": null,
  "createdAt": null,
  "description": null,
  "title": null,
  "flagged": null,
  "isPrivate": null,
  "author": "/users/{id}",
  "category": "/note_categories/{id}"
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "title": null,
  "flagged": null,
  "isPrivate": null,
  "author": "/users/{id}",
  "category": "/note_categories/{id}"
}

Replace person note

put

Replaces all fields of a person note.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

idstringRequired

PersonNoteResource identifier

Body

Represents a CRM note attached to a person, such as contact moments or meeting summaries.

idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
Responses
200

PersonNoteResource resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
put/people/{personId}/notes/{id}
PUT /people/{personId}/notes/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/ld+json
Accept: */*
Content-Length: 166

{
  "id": null,
  "personId": null,
  "createdAt": null,
  "description": null,
  "title": null,
  "flagged": null,
  "isPrivate": null,
  "author": "/users/{id}",
  "category": "/note_categories/{id}"
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "title": null,
  "flagged": null,
  "isPrivate": null,
  "author": "/users/{id}",
  "category": "/note_categories/{id}"
}

Update person note

patch

Updates one or more fields of a person note.

Authorizations
Path parameters
personIdstringRequired

PersonNoteResource identifier

idstringRequired

PersonNoteResource identifier

Body
idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableOptional
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableOptionalExample: /note_categories/{id}
Responses
200

PersonNoteResource resource updated

@contextone ofOptional
stringOptional
or
@idstringRequired
@typestringRequired
idstring · nullableOptional
personIdstring · nullableWrite-onlyOptional
createdAtstring · nullableOptional
descriptionstring · nullableRequired
titlestring · nullableOptional
flaggedboolean · nullableOptional
isPrivateboolean · nullableOptional
authorstring · nullableOptionalExample: /users/{id}
categorystring · nullableRequiredExample: /note_categories/{id}
patch/people/{personId}/notes/{id}
PATCH /people/{personId}/notes/{id} HTTP/1.1
Host: api.rogerroger.io
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 166

{
  "id": null,
  "personId": null,
  "createdAt": null,
  "description": null,
  "title": null,
  "flagged": null,
  "isPrivate": null,
  "author": "/users/{id}",
  "category": "/note_categories/{id}"
}
{
  "@context": "text",
  "@id": "text",
  "@type": "text",
  "id": null,
  "createdAt": null,
  "description": null,
  "title": null,
  "flagged": null,
  "isPrivate": null,
  "author": "/users/{id}",
  "category": "/note_categories/{id}"
}

Last updated